Update a Custom Action

Update a given Custom Action via its ID

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

action_idstringRequired

Request

Action to create or update
descriptionstringRequired
Description of the custom Action
eventstringRequired
Arbitrary event name to include in custom Action webhook payloads
namestringRequired
Name of the custom Action
urlstringRequired
HTTPS endpoint to deliver Action events to
allow_collaboratorsbooleanOptionalDefaults to false
includestringOptional
Any associations to include in the response

Response

Action success response
activeboolean
allow_collaboratorsboolean
creator_idstringformat: "uuid"
deleted_atstringformat: "date-time"
descriptionstring
eventstring
idstringformat: "uuid"
imagestring
inserted_atstringformat: "date-time"
namestring
teamobject
team_idstringformat: "uuid"
updated_atstringformat: "date-time"
upload_urlstring
urlstring
webhookobject

Errors

401
Unauthorized Error
404
Not Found Error